/*
	Copyright (C) 1999-2006 BITPlan GmbH

	Pater-Delp-Str. 1
	D-47877 Willich-Schiefbahn

	Fon. +49 1805 BITPlan 
	   = +49 1805 2487526
	Fax. +49 2154 811 481

  Bastian Mathes (bm@bitplan.com)
 
  Customized Editor Configuration, invoke customized Scanner

	$Header$
	$Id$
	$Log$

  Revision 1.1  2004/09/15 02:00:14  bm
  initial upload of the eclipse plugin

*/
package com.bitplan.eclipse.smartgen.editors;

import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.presentation.IPresentationReconciler;
import org.eclipse.jface.text.presentation.PresentationReconciler;
import org.eclipse.jface.text.rules.DefaultDamagerRepairer;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.SourceViewerConfiguration;
/**
 * 
 * @author wf
 *
 */
public class SmartgenSourceViewerConfig extends SourceViewerConfiguration {
	private SmartgenScanner scanner;

	public SmartgenSourceViewerConfig() {
	}
	
	public int getTabWidth(ISourceViewer sourceViewer) {
		return 2;
	} // getTabWidth
	
	public SmartgenScanner getTagScanner() {
		if (scanner == null) {
			scanner = new SmartgenScanner();
	    }
		return scanner;
	}

	 public IPresentationReconciler getPresentationReconciler(ISourceViewer sourceViewer) {
	    PresentationReconciler reconciler = new PresentationReconciler();
	    DefaultDamagerRepairer dr = new DefaultDamagerRepairer(getTagScanner());
	    reconciler.setDamager(dr, IDocument.DEFAULT_CONTENT_TYPE);
	    reconciler.setRepairer(dr, IDocument.DEFAULT_CONTENT_TYPE);
	    return reconciler;
	 }
}  // SourceViewerConfiguration
